@import 'settings';
@import 'mixins';
@import 'typography';

.PersonDetail {
    &__content {
        width: 640px;
        max-width: 100%;
        margin: 0 auto;
        padding-top: 15px;
        padding-bottom: 160px;
        text-align: center;

        header {
            margin-bottom: 50px;
        }

        .person-image {
            width: 220px;
            height: 220px;
            margin: 0 auto 40px auto;
            border-radius: 50%;
            border: solid 1px $blue;
            overflow: hidden;

            img {
                width: 100%;
                height: 100%;
                object-position: center top;
                object-fit: cover;

                @include object-fit(cover);
            }
        }

        .person-name {
            font-weight: bold;
        }

        .person-title {
            @include small-type;
            text-transform: uppercase;
        }

        @media #{$tablet} {
            padding-top: 40px;

            header {
                margin-bottom: 38px;
            }

            .person-image {
                width: 180px;
                height: 180px;
                margin: 0 auto 20px auto;
            }
        }
    }

    // Hide close button
    .Modal__close {
        display: none !important;
    }
}
